Bug 14971 - RIS only outputs the first 10 characters for either ISBN10 or ISBN13
Summary: RIS only outputs the first 10 characters for either ISBN10 or ISBN13
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: OPAC (show other bugs)
Version: master
Hardware: All All
: P5 - low minor (vote)
Assignee: Bernardo Gonzalez Kriegel
QA Contact: Testopia
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2015-10-07 12:53 UTC by jvr
Modified: 2017-06-14 22:10 UTC (History)
5 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 14971: fix RIS export (896 bytes, patch)
2015-12-03 12:28 UTC, Bernardo Gonzalez Kriegel
Details | Diff | Splinter Review
[PASSED QA] Bug 14971: fix RIS export (1002 bytes, patch)
2015-12-06 20:39 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description jvr 2015-10-07 12:53:49 UTC
RIS only outputs the first 10 characters for either ISBN10 or ISBN13.

After "[Bug 14245] RIS in unimarc flavour is still deficient" where "Pushed to Stable" I upgrade to version 3.20.04 and tested sucessfully several exports to RIS until I try my own book with ISBN ending with "letter X" it was than that I realized that RIS was just only outputing the first 10 characters of either ISBN10 or ISBN13.

Please use these live examples to compare MARC view data with RIS exported data:
https://opac.fct.unl.pt/cgi-bin/koha/opac-MARCdetail.pl?biblionumber=9
https://opac.fct.unl.pt/cgi-bin/koha/opac-MARCdetail.pl?biblionumber=130
https://opac.fct.unl.pt/cgi-bin/koha/opac-MARCdetail.pl?biblionumber=47281
https://opac.fct.unl.pt/cgi-bin/koha/opac-MARCdetail.pl?biblionumber=54176

Errors encountered are:
0-19-855284-X exported as SN  - 0-19-85528
1-881526-11-9 exported as SN  - 1-881526-1
9780444521262 exported as SN  - 9780444521
972-97183-0-X exported as SN  - 972-97183-

Please don't limit the size length for "SN" in RIS, because it also may contain (-) hyfens.

Thank You.
Comment 1 Katrin Fischer 2015-12-02 22:31:05 UTC
Hi jvr - "Needs Signoff" should be set, once we have a patch file attached here. Until a dev starts working on this, it should be "NEW". I am resetting the bug status.
Comment 2 jvr 2015-12-02 22:41:24 UTC
I already set "Needs Sigoff" several times in the pass, but it seems it doesn't save changes...
Comment 3 Katrin Fischer 2015-12-02 22:42:32 UTC
Plese don't reset this to "Needs Signoff" as it has no patch to test!
Comment 4 Katrin Fischer 2015-12-02 22:42:54 UTC
The correct status is new - this indicates it needs someone to write a patch for it.
Comment 5 Bernardo Gonzalez Kriegel 2015-12-03 12:28:02 UTC Comment hidden (obsolete)
Comment 6 Bernardo Gonzalez Kriegel 2015-12-03 12:28:59 UTC
This is not UNIMARC specific.
Comment 7 jvr 2015-12-03 15:43:59 UTC
Patch applied on my test KOHA machine.

Problem no longer exists...

Thank you.
Comment 8 Katrin Fischer 2015-12-06 20:39:13 UTC
Created attachment 45434 [details] [review]
[PASSED QA] Bug 14971: fix RIS export

This patch removes a limit in RIS.pm print_isbn sub.

To test:
1) Find in opac a book with an isbn with length(isbn) > 10
(with dashes or isbn13)
2) Export record to RIS format, check truncated SN field
in exported file
3) Apply the patch
4) Export again, no more truncation

Signed-off-by: jvr <jvr@fct.unl.pt>
Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 9 Katrin Fischer 2015-12-06 20:39:47 UTC
I have added the sign-off line in the QA step.
Comment 10 Kyle M Hall 2015-12-11 16:34:12 UTC
Pushed to master!

Thanks Bernardo!
Comment 11 Julian Maurice 2015-12-14 07:28:35 UTC
Patch pushed to 3.22.x, will be in 3.22.1
Comment 12 Frédéric Demians 2015-12-14 17:58:41 UTC
This patch has been pushed to 3.20.x, will be in 3.20.7.